# idenify\_packet\_type()

Determines the type of packet using the packet data byte sequence as input. The return value is [E\_PKT](/latest_en/api-reference/classes/pktparser/e_pkt.md).

```cpp
E_PKT identify_packet_type(uint8_t* p, uint8_t u8len)
```

If the packet cannot be interpreted as a specific packet, `E_PKT::PKT_ERROR` is returned.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mwx.twelite.info/latest_en/api-reference/classes/pktparser/idenify_packet_type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
